name: thlab-notes

networks:
  thlab_proxy:
    name: thlab_proxy
volumes:
  quartz:
    name: thlab_notes
    driver: local

services:
  quartz:
    build:
      context: ./worker
      dockerfile: Dockerfile
    container_name: thlab-notes

    volumes:
      - quartz:/usr/src/app

    networks:
      - thlab_proxy

    environment:
      - VAULT_REPO=https://git.tinyhome.ndmv.net/Tiny-Home/Tiny-Home.git
      - VAULT_BRANCH=main
      - SYNC_INTERVAL=30
      
    restart: unless-stopped

